contracts / ReferenceRate

# ReferenceRate

`class ReferenceRate : FloatingRate`

So a reference rate is a rate that takes its value from a source at a given date e.g. LIBOR 6M as of 17 March 2016. Hence it requires a source (name) and a value date in the getAsOf(..) method.

### Constructors

<init> | `ReferenceRate(oracle: String, tenor: Tenor, name: String)` So a reference rate is a rate that takes its value from a source at a given date e.g. LIBOR 6M as of 17 March 2016. Hence it requires a source (name) and a value date in the getAsOf(..) method.

### Properties

name | `val name: String`
oracle | `val oracle: String`
tenor | `val tenor: Tenor`

### Functions

toString | `fun toString(): String`